org.wildfly.swarm.config

## Class ManagementCoreService.ManagementCoreServiceResources

- java.lang.Object
- - org.wildfly.swarm.config.ManagementCoreService.ManagementCoreServiceResources

- Enclosing class:
    ManagementCoreService<T extends ManagementCoreService<T>>

      public static class ManagementCoreService.ManagementCoreServiceResources
      extends Object

  Child mutators for ManagementCoreService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagementCoreServiceResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuditAccess` | `auditAccess()` The management audit logging top-level resource.
    `AuthorizationAccess` | `authorizationAccess()` The access control definitions defining the access management restrictions.
    `ConfigurationChangesService` | `configurationChangesService()` Service to store and list configuration changes.
    `HTTPInterfaceManagementInterface` | `httpInterfaceManagementInterface()` Configuration of the server's HTTP management interface
    `IdentityAccess` | `identityAccess()` Identity definition for management actions.
    `LdapConnection` | `ldapConnection(String key)`
    `List<LdapConnection>` | `ldapConnections()` Get the list of LdapConnection resources
    `ManagementOperationsService` | `managementOperationsService()` Execution of management operations.
    `NativeInterfaceManagementInterface` | `nativeInterfaceManagementInterface()` Configuration of the server's native management interface
    `NativeRemotingInterfaceManagementInterface` | `nativeRemotingInterfaceManagementInterface()` Configuration of the server's native management interface using a connector from the remoting subsystem.
    `SecurityRealm` | `securityRealm(String key)`
    `List<SecurityRealm>` | `securityRealms()` Get the list of SecurityRealm resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagementCoreServiceResources

          public ManagementCoreServiceResources()

  - ### Method Detail

    - #### securityRealms

          public List<SecurityRealm> securityRealms()

      Get the list of SecurityRealm resources
      Returns:
        the list of resources

    - #### securityRealm

          public SecurityRealm securityRealm(String key)

    - #### ldapConnections

          public List<LdapConnection> ldapConnections()

      Get the list of LdapConnection resources
      Returns:
        the list of resources

    - #### ldapConnection

          public LdapConnection ldapConnection(String key)

    - #### nativeRemotingInterfaceManagementInterface

          public NativeRemotingInterfaceManagementInterface nativeRemotingInterfaceManagementInterface()

      Configuration of the server's native management interface using a connector from the remoting subsystem.

    - #### auditAccess

          public AuditAccess auditAccess()

      The management audit logging top-level resource.

    - #### nativeInterfaceManagementInterface

          public NativeInterfaceManagementInterface nativeInterfaceManagementInterface()

      Configuration of the server's native management interface

    - #### managementOperationsService

          public ManagementOperationsService managementOperationsService()

      Execution of management operations.

    - #### configurationChangesService

          public ConfigurationChangesService configurationChangesService()

      Service to store and list configuration changes.

    - #### httpInterfaceManagementInterface

          public HTTPInterfaceManagementInterface httpInterfaceManagementInterface()

      Configuration of the server's HTTP management interface

    - #### identityAccess

          public IdentityAccess identityAccess()

      Identity definition for management actions.

    - #### authorizationAccess

          public AuthorizationAccess authorizationAccess()

      The access control definitions defining the access management restrictions.

Copyright © 2017 JBoss by Red Hat. All rights reserved.